#!/bin/bash

if [ $1 == ]; then
  LISTE="parametrages recettedialog depensedialog immobilisations comptatriee recettestriees depensestriees etatdesdus grand_livre setup"
  else
  LISTE=$1
fi

for i in $LISTE
  do
    if [ $i = 'parametrages' ]  ||  [ $i = 'recettedialog' ]  ||  [ $i = 'depensedialog' ]  ||  [ $i = 'immobilisations' ] ; then
      cd comptabilite_interfaces_src/$i
      qmake-qt4 -nocache src.pro
      make
      make clean
      cd ../..
      echo ""
      echo "==========compilation $i OK ======================================"
      echo ""
    elif [ $i = 'setup' ]; then
      cd setup
      qmake-qt4 -nocache src.pro
      make
      make clean
      cd ..
      echo ""
      echo "==========compilation $i OK ======================================"
      echo ""
    else 
      cd recettestriees/$i
      qmake-qt4 -nocache src.pro
      make
      make clean
      cd ../..
      echo ""
      echo "==========compilation $i OK ======================================"
      echo ""
    fi
   done

echo ""
echo "==============fin de la compilation les binaires sont dans /bin================"
echo ""

exit
  
